<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns="http://www.analitica.com.co/Esquemas/Notificaciones" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://www.analitica.com.co/Esquemas/Notificaciones" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="Notificar">
    <xs:annotation>
      <xs:documentation>M??todo de inicio de m??dulo Notificaciones en AZDigital</xs:documentation>
    </xs:annotation>
    <xs:complexType>
      <xs:sequence>
        <xs:element name="PersonasNotificar">
          <xs:annotation>
            <xs:documentation>Personas a notificar</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:sequence>
              <xs:element maxOccurs="unbounded" name="Persona">
                <xs:complexType>
                  <xs:sequence minOccurs="1">
                    <xs:element minOccurs="1" name="Direccion" type="DireccionType">
                      <xs:annotation>
                        <xs:documentation>Datos de ubicaci??n f??sica de la persona a notificar</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:sequence>
                  <xs:attribute name="Nombre" type="xs:string" use="required">
                    <xs:annotation>
                      <xs:documentation>Nombres completos de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="TipoIdentificacion" type="xs:string" use="required">
                    <xs:annotation>
                      <xs:documentation>Id del tipo de identificaci??n de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="NumeroIdentificacion" type="xs:string" use="required">
                    <xs:annotation>
                      <xs:documentation>N??mero de identificaci??n de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="Email" use="optional">
                    <xs:annotation>
                      <xs:documentation>Correo electr??nico de la persona a notificar.</xs:documentation>
                    </xs:annotation>
                    <xs:simpleType>
                      <xs:restriction base="xs:string">
                        <xs:pattern value="([0-9a-zA-Z]([-._\w]*[0-9a-zA-Z])*@([0-9a-zA-Z][-\w]*[0-9a-zA-Z]\.)+[a-zA-Z]{2,9})" />
                      </xs:restriction>
                    </xs:simpleType>
                  </xs:attribute>
                  <xs:attribute name="Telefono" use="optional">
                    <xs:annotation>
                      <xs:documentation>N??mero telef??nico de la persona a notificar.</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="TarjetaProfesional" type="xs:string" use="optional">
                    <xs:annotation>
                      <xs:documentation>N??mero de la tarjeta profesional de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="Operador" type="xs:string" use="optional">
                    <xs:annotation>
                      <xs:documentation>Id del operador al cual est?? asociado la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="Cargo" type="xs:string" use="optional">
                    <xs:annotation>
                      <xs:documentation>Cargo de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="NotificacionElectronica" use="optional">
                    <xs:annotation>
                      <xs:documentation>Indica si la persona autoriza ser notificada electr??nicamente</xs:documentation>
                    </xs:annotation>
                    <xs:simpleType>
                      <xs:restriction base="xs:string">
                        <xs:enumeration value="1" />
                        <xs:enumeration value="0" />
                      </xs:restriction>
                    </xs:simpleType>
                  </xs:attribute>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element minOccurs="1" name="Descripcion" type="xs:string">
          <xs:annotation>
            <xs:documentation>Cuerpo de mensaje a enviar junto a la Notificaci??n solicitada</xs:documentation>
          </xs:annotation>
        </xs:element>
        <xs:element minOccurs="0" name="Observaciones" type="xs:string">
          <xs:annotation>
            <xs:documentation>Observaciones adicionales para el acto administrativo</xs:documentation>
          </xs:annotation>
        </xs:element>
        <xs:element name="Archivo">
          <xs:annotation>
            <xs:documentation>String del acto administrativo a notificar codificado en Base64</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:simpleContent>
              <xs:extension base="xs:string">
                <xs:attribute name="Nombre">
                  <xs:annotation>
                    <xs:documentation>Nombre del archivo que contiene el acto administrativo a cargar</xs:documentation>
                  </xs:annotation>
                </xs:attribute>
                <xs:attribute name="TipoMime">
                  <xs:annotation>
                    <xs:documentation>Tipo MIME del documento a cargar</xs:documentation>
                  </xs:annotation>
                </xs:attribute>
                <xs:attribute name="Codificacion">
                  <xs:annotation>
                    <xs:documentation>Codificaci??n del archivo a cargar</xs:documentation>
                  </xs:annotation>
                </xs:attribute>
              </xs:extension>
            </xs:simpleContent>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
      <xs:attribute name="TipoActo" use="required">
        <xs:annotation>
          <xs:documentation>Id del tipo de acto administrativo a notificar</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="MedioRecepcion" use="optional">
        <xs:annotation>
          <xs:documentation>Medio por el cual se recibe la solicitud. Puede ser WS (Recepci??n por WebService) o F (Formulario).</xs:documentation>
        </xs:annotation>
        <xs:simpleType>
          <xs:restriction base="xs:string">
            <xs:enumeration value="WS" />
            <xs:enumeration value="F" />
          </xs:restriction>
        </xs:simpleType>
      </xs:attribute>
      <xs:attribute name="ProcedeRecurso" use="optional">
        <xs:annotation>
          <xs:documentation>Indica si para la notificaci??n procede alg??n recurso de reposici??n, apelaci??n o queja</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="Dependencia" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id de la dependencia que hace la solicitud de notificaci??n</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="TipoNotificacion" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id del tipo de notificaci??n a generar en AZDigital</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="UsuarioFirmante" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id del usuario que debe firmar el acto administrativo</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="IdReferenciaExterno" type="xs:string" use="optional">
        <xs:annotation>
          <xs:documentation>N??mero de referencia en caso de que la notificaci??n venga de un sistema externo</xs:documentation>
        </xs:annotation>
      </xs:attribute>
    </xs:complexType>
  </xs:element>
  <xs:element name="NotificarAVETM">
    <xs:annotation>
      <xs:documentation>M??todo de inicio de m??dulo Notificaciones AVETM en AZDigital</xs:documentation>
    </xs:annotation>
    <xs:complexType>
      <xs:sequence>
        <xs:element name="PersonasNotificar">
          <xs:annotation>
            <xs:documentation>Personas a notificar</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:sequence>
              <xs:element maxOccurs="unbounded" name="Persona">
                <xs:complexType>
                  <xs:sequence minOccurs="0">
                    <xs:element minOccurs="0" name="Direccion" type="DireccionType">
                      <xs:annotation>
                        <xs:documentation>Datos de ubicaci??n f??sica de la persona a notificar</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:sequence>
                  <xs:attribute name="Nombre" type="xs:string" use="required">
                    <xs:annotation>
                      <xs:documentation>Nombres completos de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="TipoIdentificacion" type="xs:string" use="required">
                    <xs:annotation>
                      <xs:documentation>Id del tipo de identificaci??n de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="NumeroIdentificacion" type="xs:string" use="required">
                    <xs:annotation>
                      <xs:documentation>N??mero de identificaci??n de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="Email" use="optional">
                    <xs:annotation>
                      <xs:documentation>Correo electr??nico de la persona a notificar.</xs:documentation>
                    </xs:annotation>
                    <xs:simpleType>
                      <xs:restriction base="xs:string">
                        <xs:pattern value="([0-9a-zA-Z]([-._\w]*[0-9a-zA-Z])*@([0-9a-zA-Z][-\w]*[0-9a-zA-Z]\.)+[a-zA-Z]{2,9})" />
                      </xs:restriction>
                    </xs:simpleType>
                  </xs:attribute>
                  <xs:attribute name="Telefono" use="optional">
                    <xs:annotation>
                      <xs:documentation>N??mero telef??nico de la persona a notificar.</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="TarjetaProfesional" type="xs:string" use="optional">
                    <xs:annotation>
                      <xs:documentation>N??mero de la tarjeta profesional de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="Operador" type="xs:string" use="optional">
                    <xs:annotation>
                      <xs:documentation>Id del operador al cual est?? asociado la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="Cargo" type="xs:string" use="optional">
                    <xs:annotation>
                      <xs:documentation>Cargo de la persona a notificar</xs:documentation>
                    </xs:annotation>
                  </xs:attribute>
                  <xs:attribute name="NotificacionElectronica" use="optional">
                    <xs:annotation>
                      <xs:documentation>Indica si la persona autoriza ser notificada electr??nicamente</xs:documentation>
                    </xs:annotation>
                    <xs:simpleType>
                      <xs:restriction base="xs:string">
                        <xs:enumeration value="1" />
                        <xs:enumeration value="0" />
                      </xs:restriction>
                    </xs:simpleType>
                  </xs:attribute>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element minOccurs="1" name="Descripcion" type="xs:string">
          <xs:annotation>
            <xs:documentation>Cuerpo de mensaje a enviar junto a la Notificaci??n solicitada</xs:documentation>
          </xs:annotation>
        </xs:element>
        <xs:element minOccurs="0" name="Observaciones" type="xs:string">
          <xs:annotation>
            <xs:documentation>Observaciones adicionales para el acto administrativo</xs:documentation>
          </xs:annotation>
        </xs:element>
        <xs:element name="Archivo">
          <xs:annotation>
            <xs:documentation>String del acto administrativo a notificar codificado en Base64</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:simpleContent>
              <xs:extension base="xs:string">
                <xs:attribute name="Nombre">
                  <xs:annotation>
                    <xs:documentation>Nombre del archivo que contiene el acto administrativo a cargar</xs:documentation>
                  </xs:annotation>
                </xs:attribute>
                <xs:attribute name="TipoMime">
                  <xs:annotation>
                    <xs:documentation>Tipo MIME del documento a cargar</xs:documentation>
                  </xs:annotation>
                </xs:attribute>
                <xs:attribute name="Codificacion">
                  <xs:annotation>
                    <xs:documentation>Codificaci??n del archivo a cargar</xs:documentation>
                  </xs:annotation>
                </xs:attribute>
              </xs:extension>
            </xs:simpleContent>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
      <xs:attribute name="NumeroActo" use="required">
        <xs:annotation>
          <xs:documentation>N??mero del acto administrativo a registrar</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="TipoActo" use="required">
        <xs:annotation>
          <xs:documentation>Id del tipo de acto administrativo a notificar</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="MedioRecepcion" use="optional">
        <xs:annotation>
          <xs:documentation>Medio por el cual se recibe la solicitud. Puede ser WS (Recepci??n por WebService) o F (Formulario).</xs:documentation>
        </xs:annotation>
        <xs:simpleType>
          <xs:restriction base="xs:string">
            <xs:enumeration value="WS" />
            <xs:enumeration value="F" />
          </xs:restriction>
        </xs:simpleType>
      </xs:attribute>
      <xs:attribute name="ProcedeRecurso" use="optional">
        <xs:annotation>
          <xs:documentation>Indica si para la notificaci??n procede alg??n recurso de reposici??n, apelaci??n o queja</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="Dependencia" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id de la dependencia que hace la solicitud de notificaci??n</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="TipoNotificacion" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id del tipo de notificaci??n a generar en AZDigital</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="UsuarioFirmante" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id del usuario que debe firmar el acto administrativo</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="IdReferenciaExterno" type="xs:string" use="optional">
        <xs:annotation>
          <xs:documentation>N??mero de referencia en caso de que la notificaci??n venga de un sistema externo</xs:documentation>
        </xs:annotation>
      </xs:attribute>
    </xs:complexType>
  </xs:element>
  <xs:element name="RtaNotificar">
    <xs:annotation>
      <xs:documentation>Respuesta invocaci??n Notificar</xs:documentation>
    </xs:annotation>
    <xs:complexType>
      <xs:attribute name="Estado" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Resultado de la Operaci??n</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="NumeroActo" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>N??mero del acto asignado al acto a notificar</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="FechaSolicitud" type="xs:dateTime" use="required">
        <xs:annotation>
          <xs:documentation>Fecha en la cual ingres?? la solicitud al sistema</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="IdArchivo" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id del archivo subido en AZDigital</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="IdDirectorio" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id del directorio creado para procesar la solicitud de notificaci??n</xs:documentation>
        </xs:annotation>
      </xs:attribute>
      <xs:attribute name="IdProcesoIniciado" type="xs:string" use="required">
        <xs:annotation>
          <xs:documentation>Id del flujo de trabajo iniciado en AZDigital para procesar la notificaci??n</xs:documentation>
        </xs:annotation>
      </xs:attribute>
    </xs:complexType>
  </xs:element>
  <xs:complexType name="DireccionType">
    <xs:attribute name="Pais" type="xs:string" use="optional">
      <xs:annotation>
        <xs:documentation>Codigo de Paises, seg??n norma ISO 3166-1</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="Departamento" type="xs:string" use="optional">
      <xs:annotation>
        <xs:documentation>C??digo de departamento seg??n DIVIPOLA Dane (Caso Pa??s=CO)</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="Ciudad" type="xs:string" use="required">
      <xs:annotation>
        <xs:documentation>C??digo del municipio o ciudad de ubicaci??n de la persona a notificar seg??n DIVIPOLA Dane (Caso pa??s = CO)</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="Direccion" use="required">
      <xs:annotation>
        <xs:documentation>Direcci??n de ubicaci??n de la persona a notificar</xs:documentation>
      </xs:annotation>
      <xs:simpleType>
        <xs:restriction base="xs:string">
          <xs:maxLength value="60" />
        </xs:restriction>
      </xs:simpleType>
    </xs:attribute>
  </xs:complexType>
</xs:schema>